Skip to main content
POST
/
agents
/
{agent_id}
/
revisions
Create revision
curl --request POST \
  --url https://api.duvo.ai/v1/agents/{agent_id}/revisions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "handover_target_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "source_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "build": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "config": {
      "data": {
        "model": "<string>",
        "tools": "<unknown>",
        "input": "<string>",
        "files": [],
        "skills": [],
        "temperature": 1,
        "max_output_tokens": 1,
        "top_p": 0.5,
        "store": true,
        "text": {
          "format": {}
        }
      }
    },
    "status": "<string>",
    "revision_number": 123,
    "parent_build_id": "<string>",
    "created_by": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "revision_name": "<string>",
    "revision_description": "<string>",
    "created_by_name": "<string>",
    "schedules": [
      {
        "id": "<string>",
        "build_id": "<string>",
        "agent_id": "<string>",
        "user_id": "<string>",
        "enabled": true,
        "time": "<string>",
        "timezone": "<string>",
        "day": "<string>",
        "day_of_month": 123,
        "cron": "<string>",
        "source": "<string>",
        "task": "<string>",
        "recurring": true,
        "created_at": "<string>",
        "updated_at": "<string>",
        "user_name": "<string>",
        "user_email": "<string>"
      }
    ]
  },
  "agent": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
name
string
required

Build name

Minimum string length: 1
config
object

Build configuration (latest schema version only; legacy v1 configs are not accepted)

handover_target_ids
string<uuid>[]

Agent IDs that this agent can hand work off to

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
source_build_id
string<uuid>

Build ID to copy integrations and case queue links from

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

build
object
required
agent
object
required